﻿using Hotline.Share.Dtos.Order;

namespace DataSharing.LuZhou
{
    public interface ILuZhou110Service
    {
        /// <summary>
        /// 组装基础参数
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task InitData(OrderFlowDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 回访
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task InitVisitData(PublishVisitDto dto, CancellationToken cancellationToken);
    }
}
