﻿namespace DataSharing.Share.Dtos.Common
{
    public class GetOrderListDataDto
    {
        /// <summary>
        /// 总页数
        /// </summary>
        public int pageCount { get; set; } = 0;

        /// <summary>
        /// 数据
        /// </summary>
        public IReadOnlyList<GetOrderDataListDto> items { get; set; }
    }

    /// <summary>
    /// 工单数据
    /// </summary>
    public class GetOrderDataListDto
    {
        /// <summary>
        /// 索引
        /// </summary>
        public string RowID { get; set; }

        /// <summary>
        /// 标识
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string OrderNo { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 保存时间
        /// </summary>
        public string CaseDate { get; set; }

        /// <summary>
        /// 工单来源
        /// </summary>
        public string CaseSource { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public string CaseType { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        public string HandleState { get; set; }
    }
}
