﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataSharing.Share.Dtos.LuZhou
{
    public record LZ110ApiResponse
    {
        public int Code { get; set; } = 1;
        public string Message { get; set; }
        public bool IsSuccess => Code == 0;
    }

    public record LZ110ApiResponse<TData> : LZ110ApiResponse
    {
        public TData? Data { get; set; }
    }
}
