﻿using System.Text.Json.Serialization;

namespace  DataSharing.Share.Dtos.Province.Extend
{
    /// <summary>
    /// 四川省12366热线咨询交办单
    /// </summary>
    public class FormTaxationConsultingInfo
    {
        /// <summary>
        /// 主管税务机关（问题归属地）  
        /// </summary>
        [JsonPropertyName("TAX_AUTHORITY")]
        public string? TaxAuthority { get; set; }

        /// <summary>
        /// 被投诉单位或个人信息  
        /// </summary>
        [JsonPropertyName("COMPLAINT_SUBJECT")]
        public string? ComplaintSubject { get; set; }
    }
}
