﻿using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单申请延时
    /// </summary>
    public class DelayCaseInfoSendInfo
    {
        /// <summary>
        /// 申请延期数量
        /// </summary>
        [JsonPropertyName("APPLY_DELAYNUM")]
        public int ApplyDelaynum { get; set; }

        /// <summary>
        /// 申请延期单位（工作日或工作小时）
        /// </summary>
        [JsonPropertyName("APPLY_DELAYUNIT")]
        public int ApplyDelayunit { get; set; }

        /// <summary>
        /// 申请人员
        /// </summary>
        [JsonPropertyName("APPLY_NAME")]
        public string ApplyName { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        [JsonPropertyName("APPLY_TIME")]
        public DateTime ApplyTime { get; set; }

        /// <summary>
        /// 申请部门
        /// </summary>
        [JsonPropertyName("APPLY_OUNAME")]
        public string ApplyOuname { get; set; }

        /// <summary>
        /// 申请原因
        /// </summary>
        [JsonPropertyName("APPLY_REASON")]
        public string ApplyReason { get; set; }

        /// <summary>
        /// 申请类型
        /// </summary>
        [JsonPropertyName("APPLY_TYPE")]
        public string ApplyType { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CliengGuid { get; set; }
    }
}
