﻿namespace DataSharing.Share.Dtos
{
    /// <summary>
    /// token 授权账号对象
    /// </summary>
    public class TokenAccount
    {
        /// <summary>
        /// 通过授权账号获取的ID值
        /// </summary>
        public string? ID { get; set; }

        /// <summary>
        /// 通过授权账号获取的GUID值
        /// </summary>
        public string? GUID { get; set; }

        /// <summary>
        /// 授权账号
        /// </summary>
        public string clientid { get; set; }

        /// <summary>
        /// 授权密码
        /// </summary>
        public string clientsecret { get; set; }
    }
}
