﻿namespace DataSharing.Share.Dtos.YiBin.Enterprise
{
    /// <summary>
    /// 查询企业专班返回参数
    /// </summary>
    public class EnRecordsDto
    {
        /// <summary>
        /// 数据
        /// </summary>
        public List<EnRecordsInfo> records { get; set; }

        /// <summary>
        /// 总条数
        /// </summary>
        public int total { get; set; }

        /// <summary>
        /// 每页条数
        /// </summary>
        public int size { get; set; }

        /// <summary>
        /// 当前页数
        /// </summary>
        public int current { get; set; }

        /// <summary>
        /// 页码
        /// </summary>
        public int pages { get; set; }

        /// <summary>
        /// 最大条数
        /// </summary>
        public int? maxLimit { get; set; }
    }

    /// <summary>
    /// 查询企业专班返回参数
    /// </summary>
    public class EnRecordsInfo
    {
        /// <summary>
        /// 
        /// </summary>
        public string enterpriseCode { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string enterpriseName { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string specialTeamCode { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string specialTeamName { get; set; }
    }
}
