﻿using Hotline.Share.Dtos.Order;

namespace DataSharing.CityStateDataExchange
{
    public interface ICityStateDataExchangeService
    {
        /// <summary>
        /// 市州工单互转
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task InitCityDataAsync(OrderDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 办理意见推送
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task UndertakAdviceAsync(OrderDto dto, CancellationToken cancellationToken);
    }
}
