﻿using System.ComponentModel;
using DataSharing.SendTask;
using SqlSugar;

namespace DataSharing.Province.SendTask.SubmitCaseProcess
{
    /// <summary>
    /// 业务汇聚-服务工单处理过程待推送任务数据
    /// </summary>
    [Description("业务汇聚-服务工单处理过程待推送任务数据")]
    public class DsWaitSendTaskSubmitCaseProcess : BaseWaitSendTask
    {
        /// <summary>
        /// 过程唯一ID
        /// </summary>
        [SugarColumn(ColumnDescription = "过程唯一ID")]
        public string? CaseId { get; set; }

        /// <summary>
        /// 组装参数
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true, ColumnDescription = "组装参数")]
        public Share.Dtos.Province.HuiJu.SubmitCaseProcessInfo RequestData { get; set; }
    }
}
