﻿namespace DataSharing.Share.Dtos.Common
{
    public record UpdateUserInfoDto : AddUserInfoDto
    {
        public string Id { get; set; }
    }

    public record AddUserInfoDto
    {
        /// <summary>
        /// 账号
        /// </summary>
        public string AccountId { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string AccountSecret { get; set; }

        /// <summary>
        /// 所属平台Code
        /// </summary>
        public string PlatformSource { get; set; }

        /// <summary>
        /// 所属平台名称
        /// </summary>
        public string? PlatformSourceName { get; set; }

        ///// <summary>
        ///// 授权IP
        ///// </summary>
        //public string? AuthIP { get; set; } = "*";

        /// <summary>
        /// 账号状态0：未启用；1：正常；2：禁用；
        /// </summary>
        public string? State { get; set; } = "1";

        /// <summary>
        /// 备注信息
        /// </summary>
        public string? Remark { get; set; }

        /// <summary>
        /// 数据推送地址
        /// </summary>
        public string AddressUrl { get; set; }
    }
}
