﻿namespace DataSharing.Share.Dtos.Common
{
    public class GetOrderDetailDataDto
    {
        /// <summary>
        /// 标识
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string OrderNo { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 工单来源
        /// </summary>
        public string CaseSource { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public string CaseType { get; set; }

        /// <summary>
        /// 热点类型
        /// </summary>
        public string HotspotName { get; set; }

        /// <summary>
        /// 保存时间
        /// </summary>
        public DateTime? CaseDate { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        public string FromName { get; set; }

        /// <summary>
        /// 办理部门
        /// </summary>
        public string ActualHandleOrgName { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        public string HandleState { get; set; }

        /// <summary>
        /// 受理内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 处理结果
        /// </summary>
        public string ActualOpinion { get; set; }
    }
}
