﻿using DataSharing.Share.Requests;

namespace DataSharing.Share.Dtos.Common
{
    public record GetOrderReceiveDto: PagedRequest
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string AcceptCode { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        public string Contact { get; set; }

        /// <summary>
        /// 受理类型编码
        /// </summary>
        public string AcceptTypeCode { get; set; }

        /// <summary>
        /// 开始时间（格式：2020-01-01）
        /// </summary>
        public string StartDate { get; set; }

        /// <summary>
        /// 结束时间（格式：2020-01-01）
        /// </summary>
        public string EndDate { get; set; }

    }
}
