﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataSharing.Share.Dtos.HotlineWeb
{
    public class ConfigurationInformationDto
    {
        public string Id { get; set; }

        /// <summary>
        /// 在线服务代表数
        /// </summary>
        public int CrntSeatNum { get; set; }

        /// <summary>
        /// 通话服务代表数
        /// </summary>
        public int CrntTelNum { get; set; }

        /// <summary>
        /// 坐席数（个）
        /// </summary>
        public int SeatNum { get; set; }

        /// <summary>
        /// 坐席话务员数（个）
        /// </summary>
        public int SeatHwyNum { get; set; }

        /// <summary>
        /// 未接通通话记录最多上传条数
        /// </summary>
        public int MissedCallCount { get; set; }
    }
}
