﻿using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Knowledge
{
    /// <summary>
    /// 知识删除
    /// </summary>
    public class GetKnowledgeInfoAbandonInfo
    {
        /// <summary>
        /// 知识类别code
        /// </summary>
        [JsonPropertyName("CATEGORYCODE")]
        public string CategoryCode { get; set; }

        /// <summary>
        /// 知识类别名称
        /// </summary>
        [JsonPropertyName("CATEGORYNAME")]
        public string CategoryName { get; set; }

        /// <summary>
        /// 上报知识唯一标识
        /// </summary>
        [JsonPropertyName("UID")]
        public string UID { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }
    }
}
