﻿namespace DataSharing.Share.Dtos.Statistics
{
    /// <summary>
    /// 话务数据
    /// </summary>
    public class DataAggregationSituationDto
    {
        /// <summary>
        /// 话务接通率
        /// </summary>
        public string CalConnectionRate { get; set; }

        /// <summary>
        /// 话务数据匹配率
        /// </summary>
        public string MatchingRateOfCallData { get; set; }

        /// <summary>
        /// 话务数据及时上传率
        /// </summary>
        public string TimelyUploadRateOfCallData { get; set; }

        /// <summary>
        /// 工单数据及时上传率
        /// </summary>
        public string TimelyUploadRateOfOrderData { get; set; }

        /// <summary>
        /// 受理量
        /// </summary>
        public string AcceptanceQuantity { get; set; }

        /// <summary>
        /// 办结件数
        /// </summary>
        public string NumbeOfCompletedCases { get; set; }

        /// <summary>
        /// 按时办结率
        /// </summary>
        public string OnTimeCompletionRate { get; set; }

        /// <summary>
        /// 回访量
        /// </summary>
        public string FollowUpVolume { get; set; }

        /// <summary>
        /// 不满意件
        /// </summary>
        public string DissatisfiedItems { get; set; }

        /// <summary>
        /// 不满意率
        /// </summary>
        public string DissatisfactionRate { get; set; }

        /// <summary>
        /// 知识库总量
        /// </summary>
        public string KnowledgeTotalNum { get; set; }

        /// <summary>
        /// 知识库更新数量
        /// </summary>
        public string KnowledgeUpdateTotalNum { get; set; }

        /// <summary>
        /// 省交办单超期量
        /// </summary>
        public string OverdueDeliveryOrder { get; set; }
    }

}
