﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.YiBin.Enterprise
{
    /// <summary>
    /// 企业服务调用接口数据
    /// </summary>
    [Description("企业服务调用接口数据")]
    public class DsReceiveEnterpriseData : CreationModificationEntity
    {
        /// <summary>
        /// 外部工单编号，唯一标识  
        /// </summary>
        [SugarColumn(ColumnDescription = "工单编号，唯一标识", ColumnDataType = "varchar(50)")]
        public string? ExternalId { get; set; }

        /// <summary>
        /// 服务接口名称
        /// </summary>
        [SugarColumn(ColumnDescription = "服务接口名称", ColumnDataType = "varchar(100)")]
        public string? ServiceInterface { get; set; }

        /// <summary>
        /// 推送数据
        /// </summary>
        [SugarColumn(ColumnDescription = "推送数据", ColumnDataType = "text")]
        public string? ReceiveData { get; set; }

    }
}
