﻿using Hotline.Share.Dtos.Order;

namespace DataSharing.YiBin.Enterprise
{
    /// <summary>
    /// 企业专班
    /// </summary>
    public interface IEnterpriseService
    {
        /// <summary>
        /// 企业专班数据提交
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task InitEnterpriseDataAsync(OrderDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 企业服务撤单
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task EnterpriseRevokeOrderAsync(PublishSpecialDto dto, CancellationToken cancellationToken);
    }
}
