﻿using Hotline.Share.Dtos.Order;

namespace DataSharing.YiBin.ZzptPlatformsYB
{
   /// <summary>
   /// 综治平台
   /// </summary>
    public interface IZzptService
    {
        /// <summary>
        /// 综治平台--推送工单信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task InitZzptPlatformsAsync(OrderDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 推送办理信息
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task InitZzptPlatformsDetailAsync(OrderFlowDto dto, CancellationToken cancellationToken);
    }
}
