﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.FwDataExchange
{
    /// <summary>
    /// 推送旧系统失败数据
    /// </summary>
    [Description("推送旧系统失败数据")]
    public class SendFwErrorData : CreationEntity
    {
        /// <summary>
        /// 推送方式
        /// </summary>
        [SugarColumn(ColumnDescription = "推送方式", ColumnDataType = "varchar(20)")]
        public string? HttpMethod { get; set; }

        /// <summary>
        /// 服务接口名称
        /// </summary>
        [SugarColumn(ColumnDescription = "服务接口名称", ColumnDataType = "varchar(100)")]
        public string? ServiceInterface { get; set; }

        /// <summary>
        /// 推送数据
        /// </summary>
        [SugarColumn(ColumnDescription = "推送数据", ColumnDataType = "text")]
        public string? SendData { get; set; }
    }
}
