﻿using DataSharing.Share.Dtos.LuZhou;

namespace DataSharing.LuZhou.LuZhou110
{
    public class LZ110RegisterRequest : ILZ110RequestBase<LZ110BaseResponse>
    {
        /// <summary>
        /// /PSPC/SC/System/Register	注册资源
        /// </summary>
        /// <returns></returns>
        public string GetRequestUrl() => "/PSPC/SC/System/Register";

        public RegisterObject RegisterObject { get; set; } = new();

    }
    public class RegisterObject
    {
        public string SystemID { get; set; } = "12345rexian";

        public string SystemName { get; set; } = "12345平台";

        public string Version { get; set; } = "1.00";
    }
}
