﻿using DataSharing.Share.Dtos.LuZhou;

namespace DataSharing.LuZhou.LuZhou110
{
    public class LZ110UnRegisterRequest : ILZ110RequestBase<LZ110BaseResponse>
    {
        /// <summary>
        /// /PSPC/SC/System/UnRegister	注销资源
        /// </summary>
        /// <returns></returns>
        public string GetRequestUrl() => "/PSPC/SC/System/UnRegister";

        public UnRegisterObject UnRegisterObject { get; set; } = new();
    }

    public class UnRegisterObject
    {
        public string SystemID { get; set; } = "12345rexian";

        public string SystemName { get; set; } = "12345平台";

        public string Version { get; set; } = "1.00";
    }
}
