﻿using System.ComponentModel;
using DataSharing.SendTask;
using SqlSugar;

namespace DataSharing.Province.SendTask.SubmitCaseInfo
{
    /// <summary>
    /// 服务工单受理待推送任务数据
    /// </summary>
    [Description("服务工单受理待推送任务数据")]
    public class DsWaitSendTaskSubmitCaseInfo : BaseWaitSendTask
    {
        /// <summary>
        /// 组装参数
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true, ColumnDescription = "组装参数")]
        public Share.Dtos.Province.HuiJu.SubmitCaseInfo RequestData { get; set; }

        /// <summary>
        /// 期满时间
        /// </summary>
        [SugarColumn(ColumnDescription = "期满时间")]
        public DateTime? ExpiredTime { get; set; }

        /// <summary>
        /// 诉求渠道
        /// </summary>
        [SugarColumn(ColumnDescription = "期满时间")]
        public string? CaseSource { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "工单编号")]
        public string? OrderId { get; set; }
    }
}
