﻿using SqlSugar;
using XF.Domain.Repository;

namespace DataSharing.RawData
{
    /// <summary>
    /// 对外展示接收数据
    /// </summary>
    public class DsReceiveHandleData : CreationEntity
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string? OrderNo { get; set; }

        /// <summary>
        /// 业务平台
        /// </summary>
        public string? Source { get; set; }

        /// <summary>
        /// 平台名称
        /// </summary>
        public string? PlatformsName { get; set; }

        /// <summary>
        /// 原始数据
        /// </summary>
        [SugarColumn(ColumnDescription = "原始数据", ColumnDataType = "text")]
        public string? ReceiveData { get; set; }

        /// <summary>
        /// 操作
        /// </summary>
        public string? OperationType { get; set; }

        /// <summary>
        /// 办理意见
        /// </summary>
        [SugarColumn(ColumnDescription = "办理意见", ColumnDataType = "text")]
        public string? Opinion { get; set; }
    }
}
