﻿using DataSharing.Share.Enums;
using SqlSugar;

namespace DataSharing.SendTask
{
    /// <summary>
    /// 待推送数据主表
    /// </summary>
    public abstract class BaseWaitSendTask : BaseSendTask
    {
        /// <summary>
        /// 数据读取状态 
        /// </summary>
        [SugarColumn(ColumnDescription = "数据读取状态")]
        public EWaitSendTaskState State { get; set; } = EWaitSendTaskState.WaitPush;

        /// <summary>
        /// 标识版本字段
        /// </summary>
        [SqlSugar.SugarColumn(IsEnableUpdateVersionValidation = true)]
        public Guid Ver { get; set; }
    }
}
