﻿namespace DataSharing.ZiGong
{
    /// <summary>
    /// 智慧城市系统推送数据
    /// </summary>
    public class SmartCitySystem
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public string AcceptType { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public string CreationTime { get; set; }

        /// <summary>
        /// 工单状态
        /// </summary>
        public string Status { get; set; }

        /// <summary>
        /// 工单内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 回访信息
        /// </summary>
        public List<VisitInfo> Visits { get; set; }
    }

    /// <summary>
    /// 回访信息
    /// </summary>
    public class VisitInfo
    {
        /// <summary>
        /// 部门名称
        /// </summary>
        public string org { get; set; }

        /// <summary>
        /// 回访结果
        /// </summary>
        public string visitResult { get; set; }
    }
}
